## imcode.server.parser
Class ParserParameters

    java.lang.Object
      imcode.server.parser.ParserParameters

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  MockParserParameters

    public class ParserParameters

extends java.lang.Object
implements java.lang.Cloneable

Constructor Summary
`ParserParameters(DocumentRequest documentRequest)`

Method Summary
`java.lang.Object` `clone()`
`static ParserParameters` `fromRequest(javax.servlet.http.HttpServletRequest request)`
`DocumentRequest` `getDocumentRequest()`
`java.lang.Integer` `getEditingMenuIndex()`
`int` `getFlags()`
`int` `getIncludeLevel()`
`java.lang.String` `getParameter()`
`java.lang.String` `getTemplateName()`
`boolean` `isAdminButtonsVisible()`
`boolean` `isAnyMode()`
`boolean` `isGroupMode()` Please note there is no separate permissions for group editing.
`boolean` `isImageMode()`
`boolean` `isIncludesMode()`
`boolean` `isMenuMode()`
`boolean` `isTemplateMode()`
`boolean` `isTextMode()`
`static ParserParameters` `putInRequest(ParserParameters parserParameters)`
`void` `setAdminButtonsVisible(boolean adminButtonsVisible)`
`void` `setEditingMenuIndex(java.lang.Integer editingMenuIndex)`
`void` `setFlags(int flags)`
`void` `setIncludeLevel(int includeLevel)`
`void` `setParameter(java.lang.String param)`
`void` `setTemplate(java.lang.String template)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParserParameters

    public ParserParameters(DocumentRequest documentRequest)

Method Detail

### setTemplate

    public void setTemplate(java.lang.String template)

### setParameter

    public void setParameter(java.lang.String param)

### getTemplateName

    public java.lang.String getTemplateName()

### getParameter

    public java.lang.String getParameter()

### getEditingMenuIndex

    public java.lang.Integer getEditingMenuIndex()

### setEditingMenuIndex

    public void setEditingMenuIndex(java.lang.Integer editingMenuIndex)

### getDocumentRequest

    public DocumentRequest getDocumentRequest()

### getFlags

    public int getFlags()

### setFlags

    public void setFlags(int flags)

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### setAdminButtonsVisible

    public void setAdminButtonsVisible(boolean adminButtonsVisible)

### isAdminButtonsVisible

    public boolean isAdminButtonsVisible()

### isTextMode

    public boolean isTextMode()

### isMenuMode

    public boolean isMenuMode()

### isGroupMode

    public boolean isGroupMode()

  Please note there is no separate permissions for group editing.

### isImageMode

    public boolean isImageMode()

### isIncludesMode

    public boolean isIncludesMode()

### isTemplateMode

    public boolean isTemplateMode()

### isAnyMode

    public boolean isAnyMode()

### putInRequest

    public static ParserParameters putInRequest(ParserParameters parserParameters)

### fromRequest

    public static ParserParameters fromRequest(javax.servlet.http.HttpServletRequest request)

### getIncludeLevel

    public int getIncludeLevel()

### setIncludeLevel

    public void setIncludeLevel(int includeLevel)